# $Revision: 1.14 $, $Date: 2011/09/27 21:49:59 $
%define		pkgname	mmap
Summary:	Memory mapped files for POSIX and Windows
Name:		ghc-%{pkgname}
Version:	0.5.7
Release:	1
Epoch:		1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	1f74b3f59617332b06e277f5212423c1
URL:		http://hackage.haskell.org/package/mmap/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-HUnit
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ghc-HUnit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This library provides a wrapper to mmap(2) or MapViewOfFile, allowing
files or devices to be lazily loaded into memory as strict or lazy
ByteStrings, ForeignPtrs or plain Ptrs, using the virtual memory
subsystem to do on-demand loading. Modifications are also supported.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-mmap.spec,v $
Revision 1.14  2011/09/27 21:49:59  baggins
- fix md5

Revision 1.13  2011/09/27 21:45:53  baggins
- 0.5.7

Revision 1.12  2011/02/28 09:27:22  glen
- update packaging, %requires_eq dep on ghc

Revision 1.11  2011/02/24 11:32:10  glen
- release 5

Revision 1.10  2011/02/24 11:09:04  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.9  2010/08/28 00:15:54  baggins
- rel 3
- BR/R ghc-HUnit

Revision 1.8  2010/08/28 00:06:37  baggins
- release 2

Revision 1.7  2010/08/28 00:04:19  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.6  2010/08/27 21:15:54  baggins
- rel 1
- hashed-storage and darcs look ok with it

Revision 1.5  2010/08/27 20:45:01  baggins
- rel 0.1

Revision 1.4  2010/08/27 20:42:21  baggins
- 0.5.6

Revision 1.3  2010/08/27 20:29:24  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.2  2010/04/10 16:26:45  baggins
- unfortunately we have to downgrade to 0.4
  see: http://bugs.darcs.net/issue1753

Revision 1.1  2010/04/10 16:09:49  baggins
- initial revision

